/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: OleObjectFactory.idl,v $
 * $Revision: 1.15 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_bridge_OleObjectFactory_idl__ 
#define __com_sun_star_bridge_OleObjectFactory_idl__ 
 
#ifndef __com_sun_star_lang_XMultiServiceFactory_idl__ 
#include <com/sun/star/lang/XMultiServiceFactory.idl> 
#endif 
 
 
//============================================================================= 
 
 module com {  module sun {  module star {  module bridge {  
 
//============================================================================= 
 
/** makes it possible to create COM objects as UNO objects.
    
    <p>A COM object must have a ProgId since the ProgId is used as argument for
    XMultiServiceFactory::createInstance. The only interfaces which are mapped
    are <code>IUnknown</code> and <code>IDispatch</code>.
    The created UNO objects support <type scope="com::sun::star::script">XInvocation</type> 
    if the original COM objects support IDispatch. </p>
    
    <p>The optional parameters of the method
    <member scope="com::sun::star::lang">XMultiServiceFactory::createInstanceWithArguments()</member>
    are reserved for future use; at this time they are ignored.  </p>

    @deprecated
 */
published service OleObjectFactory
{
    interface com::sun::star::lang::XMultiServiceFactory;
}; 
 
//============================================================================= 
 
}; }; }; };  
 
/*============================================================================= 
 
=============================================================================*/ 
#endif 
